accumulo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Josh Elser <josh.el...@gmail.com>
Subject Re: [VOTE] Apache Accumulo 1.6.2 RC2
Date Sun, 25 Jan 2015 20:20:56 GMT
plus, I don't think it's valid to call this vote on the user list :)

Corey Nolet wrote:
> -1 for backwards compatibility issues described.
>
> -1
>
> Corey, I'm really sorry for the churn. I thought I ran both forward and
> backward compatibility modes last time (-old 1.6.1 -new 1.6.2 as well as
> -old 1.6.2 -new 1.6.1), but I must have just eyeballed the output of the
> 1.6.1 -> 1.6.2 report for problems with forward compatibility.
>
> I ran things again this time (as a formality) and the 1.6.2 -> 1.6.1
> check turned up 2 issues.
>
> 1) minicluster.ServerType added enum members
>
> Specifically TRACER and MONITOR. This changes the public API because
> ServerType is in it, and a client built against 1.6.2 could refer to
> these enum values and then get a NoSuchFieldError if they try to go back
> to 1.6.1. This only shows up as a low severity "other" issue in the
> 1.6.1 -> 1.6.2 check, which is probably why I didn't see it.
>
> 2)
> core.client.mapreduce.AbstractInputFormat.getConfiguration(JobContext)
> changed from package-private to public
>
> This causes the method to show up as a new part of the public API. This
> issue only shows up in the 1.6.2 -> 1.6.1 check below.
>
>
> Here are the specific report outputs for others to look:
>
> * 1.6.0 -> 1.6.2 (added things are fine, because the change might be
> from 1.6.0 -> 1.6.1)
> http://people.apache.org/~busbey/compat_reports/accumulo/1.6.0_to_1.6.2/compat_report.html
> * 1.6.1 -> 1.6.2 (nothing should be added, but it's easier to just pay
> attention to the next one)
> http://people.apache.org/~busbey/compat_reports/accumulo/1.6.1_to_1.6.2/compat_report.html
> * 1.6.2 -> 1.6.1 (under a semver patch increment, this should be just as
> strong an assertion as the reverse)
> http://people.apache.org/~busbey/compat_reports/accumulo/1.6.2_to_1.6.1/compat_report.html
>
>
>
> On Fri, Jan 23, 2015 at 8:02 PM, Corey Nolet <cjnolet@apache.org
> <mailto:cjnolet@apache.org>> wrote:
>
>        Devs,
>
>          Please consider the following candidate for Apache Accumulo 1.6.2
>
>          Branch: 1.6.2-rc2
>          SHA1: 34987b4c8b4d896bbf2d26be8e70f70976614c0f
>          Staging Repository:
>     https://repository.apache.org/content/repositories/orgapacheaccumulo-1020/
>
>          Source tarball:
>     https://repository.apache.org/content/repositories/orgapacheaccumulo-1020/org/apache/accumulo/accumulo/1.6.2/accumulo-1.6.2-src.tar.gz
>          Binary tarball:
>     https://repository.apache.org/content/repositories/orgapacheaccumulo-1020/org/apache/accumulo/accumulo/1.6.2/accumulo-1.6.2-bin.tar.gz
>          (Append ".sha1", ".md5" or ".asc" to download the
>     signature/hash for a given artifact.)
>
>          Signing keys available at:
>     https://www.apache.org/dist/accumulo/KEYS
>
>          Over 1.6.1, we have 140 issues resolved
>     https://git-wip-us.apache.org/repos/asf?p=accumulo.git;a=blob;f=CHANGES;h=26bdc0373cbbc26ef148db46c0a2cd638cb8c2b4;hb=1.6.2-rc2
>
>          Testing: All unit, integration and functional tests are passing.
>
>          The vote will be extended as a result of the weekend and will
>     be open until Tuesday, January 28th 12:00AM UTC (1/27 8:00PM ET,
>     1/27 5:00PM PT)
>
>
>
>
> --
> Sean

Mime
View raw message